Intermittent test_peerConnection_twoVideoStreams.html | application timed out after 330 seconds with no output

NEW
Unassigned

Status

()

P4
normal
Rank:
35
3 years ago
19 days ago

People

(Reporter: KWierso, Unassigned)

Tracking

(Depends on: 1 bug, {intermittent-failure})

41 Branch
Unspecified
Linux
intermittent-failure
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox40 unaffected, firefox41 unaffected, firefox42 disabled, firefox-esr31 unaffected, firefox-esr38 unaffected)

Details

(Reporter)

Description

3 years ago
13:37:24 INFO - 3951 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_twoVideoStreams.html | PeerConnectionWrapper (pcRemote) stats outbound video rtp track id {25722b11-9eb2-4e91-9676-4f1ab5d0fd17} - found expected stats
13:37:24 INFO - 3952 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_twoVideoStreams.html | PeerConnectionWrapper (pcRemote) stats outbound video rtp track id {25722b11-9eb2-4e91-9676-4f1ab5d0fd17} - did not find extra stats with wrong direction
13:37:24 INFO - 3953 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_twoVideoStreams.html | PeerConnectionWrapper (pcRemote) stats outbound video rtp track id {25722b11-9eb2-4e91-9676-4f1ab5d0fd17} - did not find extra stats with wrong media type
13:37:24 INFO - 3954 INFO PeerConnectionWrapper (pcRemote): Got stats: {"outbound_rtcp_video_1":{"id":"outbound_rtcp_video_1","timestamp":1435868875744.6611,"type":"inboundrtp","isRemote":true,"mediaType":"video","remoteId":"outbound_rtp_video_1","ssrc":"3643032013","bytesReceived":15125,"jitter":0.291,"mozRtt":5,"packetsLost":0,"packetsReceived":275},"outbound_rtp_video_1":{"id":"outbound_rtp_video_1","timestamp":1435868876335.8748,"type":"outboundrtp","bitrateMean":10771.583333333332,"bitrateStdDev":5331.660008568598,"framerateMean":24.416666666666664,"framerateStdDev":11.68105173762062,"isRemote":false,"mediaType":"video","remoteId":"outbound_rtcp_video_1","ssrc":"3643032013","bytesSent":22836,"droppedFrames":156,"packetsSent":294},"sDNq":{"id":"sDNq","timestamp":1435868876335.8748,"type":"candidatepair","componentId":"1435868862712856 (id=2147486996 url=http://mochi.test:8888/tests/dom/media/tests/mochitest/test_peerConnection_twoVideoStreams. aLevel=0","localCandidateId":"RCxu","mozPriority":9115005270282338000,"nominated":true,"remoteCandidateId":"htL8","selected":true,"state":"succeeded"},"RCxu":{"id":"RCxu","timestamp":1435868876335.8748,"type":"localcandidate","candidateType":"host","componentId":"1435868862712856 (id=2147486996 url=http://mochi.test:8888/tests/dom/media/tests/mochitest/test_peerConnection_twoVideoStreams. aLevel=0","ipAddress":"10.132.157.101","mozLocalTransport":"udp","portNumber":55373,"transport":"udp"},"htL8":{"id":"htL8","timestamp":1435868876335.8748,"type":"remotecandidate","candidateType":"host","componentId":"1435868862712856 (id=2147486996 url=http://mochi.test:8888/tests/dom/media/tests/mochitest/test_peerConnection_twoVideoStreams. aLevel=0","ipAddress":"10.132.157.101","portNumber":55722,"transport":"udp"}}
13:37:24 INFO - 3955 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_twoVideoStreams.html | PeerConnectionWrapper (pcRemote) stats outbound video rtp track id {2cef6e94-0405-4ec9-8414-3dedc41d9de2} - found expected stats
13:37:24 INFO - 3956 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_twoVideoStreams.html | PeerConnectionWrapper (pcRemote) stats outbound video rtp track id {2cef6e94-0405-4ec9-8414-3dedc41d9de2} - did not find extra stats with wrong direction
13:37:24 INFO - 3957 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_twoVideoStreams.html | PeerConnectionWrapper (pcRemote) stats outbound video rtp track id {2cef6e94-0405-4ec9-8414-3dedc41d9de2} - did not find extra stats with wrong media type
13:37:24 INFO - 3958 INFO Run step 52: PC_LOCAL_WAIT_FOR_END_OF_TRICKLE
13:37:24 INFO - 3959 INFO Run step 53: PC_REMOTE_WAIT_FOR_END_OF_TRICKLE
13:37:24 INFO - 3960 INFO TEST-FAIL | dom/media/tests/mochitest/test_peerConnection_twoVideoStreams.html | The author of the test has indicated that flaky timeouts are expected. Reason: WebRTC inherently depends on timeouts
13:37:24 INFO - 3961 INFO Closing peer connections
13:37:24 INFO - 3962 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_twoVideoStreams.html | iceConnectionState should not be undefined
13:37:24 INFO - 3963 INFO PeerConnectionWrapper (pcLocal): oniceconnectionstatechange fired, new state is: closed
13:37:24 INFO - 3964 INFO TEST-PASS | dom/media/tests/mochitest/test_peerConnection_twoVideoStreams.html | PeerConnectionWrapper (pcLocal): legal ICE state transition from connected to closed
13:37:24 WARNING - TEST-UNEXPECTED-TIMEOUT | dom/media/tests/mochitest/test_peerConnection_twoVideoStreams.html | application timed out after 330 seconds with no output
13:37:24 INFO - Xlib: extension "RANDR" missing on display ":0".
13:37:25 INFO - TEST-INFO | screentopng: exit 0
13:37:26 INFO - TEST-INFO | Main app process: killed by SIGIOT
13:37:26 WARNING - TEST-UNEXPECTED-FAIL | dom/media/tests/mochitest/test_peerConnection_twoVideoStreams.html | application terminated with exit code 6
13:37:26 INFO - runtests.py | Application ran for: 1:20:45.659528
13:37:26 INFO - zombiecheck | Reading PID log: /tmp/tmptVoI7Fpidlog
13:37:26 INFO - ==> process 1909 launched child process 1964
13:37:26 INFO - ==> process 1909 launched child process 2988
13:37:26 INFO - ==> process 1909 launched child process 3025
13:37:26 INFO - ==> process 1909 launched child process 3046
13:37:26 INFO - ==> process 1909 launched child process 3145
13:37:26 INFO - ==> process 1909 launched child process 3177
13:37:26 INFO - ==> process 1909 launched child process 8374
13:37:26 INFO - zombiecheck | Checking for orphan process with PID: 1964
13:37:26 INFO - zombiecheck | Checking for orphan process with PID: 2988
13:37:26 INFO - zombiecheck | Checking for orphan process with PID: 3025
13:37:26 INFO - zombiecheck | Checking for orphan process with PID: 3046
13:37:26 INFO - zombiecheck | Checking for orphan process with PID: 3145
13:37:26 INFO - zombiecheck | Checking for orphan process with PID: 3177
13:37:26 INFO - zombiecheck | Checking for orphan process with PID: 8374
13:37:41 INFO - mozcrash Saved minidump as /builds/slave/test/build/blobber_upload_dir/639ae767-1fba-8ebc-77c8a270-355fe5fa.dmp
13:37:41 INFO - mozcrash Saved app info as /builds/slave/test/build/blobber_upload_dir/639ae767-1fba-8ebc-77c8a270-355fe5fa.extra
13:37:41 WARNING - PROCESS-CRASH | dom/media/tests/mochitest/test_peerConnection_twoVideoStreams.html | application crashed [@ linux-gate.so + 0x424]
13:37:41 INFO - Crash dump filename: /tmp/tmpLInE6M.mozrunner/minidumps/639ae767-1fba-8ebc-77c8a270-355fe5fa.dmp
13:37:41 INFO - Operating system: Linux
13:37:41 INFO - 0.0.0 Linux 3.2.0-76-generic-pae #111-Ubuntu SMP Tue Jan 13 22:34:29 UTC 2015 i686
13:37:41 INFO - CPU: x86
13:37:41 INFO - GenuineIntel family 6 model 62 stepping 4
13:37:41 INFO - 1 CPU
13:37:41 INFO - Crash reason: SIGABRT 
13:37:41 INFO - eip = 0xb7473f2b esp = 0xbfeb98ec ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 26 libxul.so!mozilla::OffTheBooksMutex::Unlock() [BlockingResourceBase.cpp:643d8e8d61a2 : 390 + 0x8]
13:37:41 INFO - eip = 0xb206b56f esp = 0xbfeb9900 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 27 libxul.so!mozilla::OffTheBooksMutex::Unlock() [BlockingResourceBase.cpp:643d8e8d61a2 : 388 + 0xc]
13:37:41 INFO - eip = 0xb206b557 esp = 0xbfeb9910 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 28 libxul.so!_fini + 0x21e3fcf
13:37:41 INFO - eip = 0xb6e76598 esp = 0xbfeb9914 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 29 libxul.so!TimerThread::RemoveTimer(nsTimerImpl*) [TimerThread.cpp:643d8e8d61a2 : 431 + 0xb]
13:37:41 INFO - eip = 0xb2056100 esp = 0xbfeb9920 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 30 libxul.so!nsThread::ProcessNextEvent(bool, bool*) [nsThread.cpp:643d8e8d61a2 : 735 + 0xa]
13:37:41 INFO - eip = 0xb2052fcd esp = 0xbfeb992c ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 31 libxul.so!_fini + 0x21e3fcf
13:37:41 INFO - eip = 0xb6e76598 esp = 0xbfeb9930 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 32 libxul.so!NS_ProcessNextEvent(nsIThread*, bool) [nsThreadUtils.cpp:643d8e8d61a2 : 265 + 0xf]
13:37:41 INFO - eip = 0xb207bb97 esp = 0xbfeb9940 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 33 libxul.so!_fini + 0x21e3fcf
13:37:41 INFO - eip = 0xb6e76598 esp = 0xbfeb9978 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 34 libxul.so!mozilla::ipc::MessagePump::Run(base::MessagePump::Delegate*) [MessagePump.cpp:643d8e8d61a2 : 127 + 0xb]
13:37:41 INFO - eip = 0xb2300826 esp = 0xbfeb9980 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 35 libpthread-2.15.so + 0xb87e
13:37:41 INFO - eip = 0xb778d87f esp = 0xbfeb9994 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 36 libxul.so!_fini + 0x1ff6e07
13:37:41 INFO - eip = 0xb6c893d0 esp = 0xbfeb99a4 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 37 libxul.so!_fini + 0x21f59db
13:37:41 INFO - eip = 0xb6e87fa4 esp = 0xbfeb99a8 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 38 libxul.so!_fini + 0x21e3fcf
13:37:41 INFO - eip = 0xb6e76598 esp = 0xbfeb99b4 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 39 libxul.so!_fini + 0x21e3fcf
13:37:41 INFO - eip = 0xb6e76598 esp = 0xbfeb99b8 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 40 libxul.so!_fini + 0x21e3fcf
13:37:41 INFO - eip = 0xb6e76598 esp = 0xbfeb99c0 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 41 libxul.so!MessageLoop::RunInternal() [message_loop.cc:643d8e8d61a2 : 234 + 0x13]
13:37:41 INFO - eip = 0xb22e0324 esp = 0xbfeb99d0 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 42 libxul.so!MessageLoop::RunInternal() [message_loop.cc:643d8e8d61a2 : 233 + 0x4]
13:37:41 INFO - eip = 0xb22e02df esp = 0xbfeb99e0 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 43 libxul.so!MessageLoop::RunInternal() [message_loop.cc:643d8e8d61a2 : 232 + 0x9]
13:37:41 INFO - eip = 0xb22e02ce esp = 0xbfeb99f0 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 44 libxul.so!_fini + 0x21e3fcf
13:37:41 INFO - eip = 0xb6e76598 esp = 0xbfeb99f4 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 45 libxul.so!MessageLoop::Run() [message_loop.cc:643d8e8d61a2 : 227 + 0x7]
13:37:41 INFO - eip = 0xb22e034a esp = 0xbfeb9a00 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 46 libxul.so!_fini + 0x21e3fcf
13:37:41 INFO - eip = 0xb6e76598 esp = 0xbfeb9a10 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 47 libxul.so!_fini + 0x21e3f37
13:37:41 INFO - eip = 0xb6e76500 esp = 0xbfeb9a18 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 48 libxul.so!nsBaseAppShell::Run() [nsBaseAppShell.cpp:643d8e8d61a2 : 165 + 0xd]
13:37:41 INFO - eip = 0xb37f05a1 esp = 0xbfeb9a30 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 49 libxul.so!nsBaseAppShell::Run() [nsBaseAppShell.cpp:643d8e8d61a2 : 165 + 0x4]
13:37:41 INFO - eip = 0xb37f0598 esp = 0xbfeb9a40 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 50 libxul.so!_fini + 0x1383a97
13:37:41 INFO - eip = 0xb6016060 esp = 0xbfeb9a48 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 51 libnspr4.so!PR_Unlock [ptsynch.c:643d8e8d61a2 : 194 + 0xa]
13:37:41 INFO - eip = 0xb7473f2b esp = 0xbfeb9a4c ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 52 libxul.so!_fini + 0x21e3fcf
13:37:41 INFO - eip = 0xb6e76598 esp = 0xbfeb9a50 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 53 libxul.so!nsAppStartup::Run() [nsAppStartup.cpp:643d8e8d61a2 : 280 + 0x8]
13:37:41 INFO - eip = 0xb3f8b342 esp = 0xbfeb9a60 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - 54 libxul.so!EnumValidate [nsCommandLine.cpp:643d8e8d61a2 : 588 + 0x1]
13:37:41 INFO - eip = 0xb3ebb2a8 esp = 0xbfeb9a68 ebp = 0x9f859580
13:37:41 INFO - Found by: stack scanning
13:37:41 INFO - Thread 1
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Wow!  This started yesterday, and it's been really frequent.  Byron -- can you take a look at this and see if anything jumps out at you?

Juan -- Can you get a us a regression range?  Like I said, it started yesterday (July 2nd).
backlog: --- → webRTC+
Rank: 19
Flags: needinfo?(jbecerra)
Flags: needinfo?(docfaraday)
Keywords: regressionwindow-wanted
Priority: -- → P1

Comment 14

3 years ago
IPV6 support landed shortly before this, so that is one possibility. Let me look closer.
Comment hidden (Treeherder Robot)

Comment 16

3 years ago
This is bug 1126078 rearing its ugly head again. Do you know if the linux spot instances have changed their max fds limit lately?

Comment 17

3 years ago
^
Flags: needinfo?(docfaraday) → needinfo?(wkocher)
(Reporter)

Comment 18

3 years ago
No clue.
Flags: needinfo?(wkocher)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)

Updated

3 years ago
Depends on: 1126078
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
OS: Unspecified → Linux
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
This is due to Bug 1126078 (currently categorized as a gfx bug).  I'm not closing it as a dup because doing so would make it more difficult for folks to star the failures in automation.
Flags: needinfo?(jbecerra)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
This is essentially permafail. We need to disable the test if a fix isn't in sight.
Flags: needinfo?(docfaraday)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
This might be related to a problem which I'm able to reproduce locally on Linux:

If I execute './mach mochitest dom/media/tests/mochitest/test_peerConnection_basicAudio.html' and let the Firefox sit after the test execution and look at the 'lsof' output for the Firefox process I get this:

firefox 23114 nohlmeier   40u      REG               0,36     98408  310444 /tmp/tmpvH1sic.mozrunner/webappsstore.sqlite-wal
firefox 23114 nohlmeier   41ur     REG               0,36     32768  310445 /tmp/tmpvH1sic.mozrunner/webappsstore.sqlite-shm
firefox 23114 nohlmeier   42u      REG               0,36     98408  310444 /tmp/tmpvH1sic.mozrunner/webappsstore.sqlite-wal
firefox 23114 nohlmeier   43u      REG               0,36     32824  313418 /tmp/tmpvH1sic.mozrunner/places.sqlite-wal
firefox 23114 nohlmeier   47r     FIFO                0,8       0t0  311449 pipe
firefox 23114 nohlmeier   48w     FIFO                0,8       0t0  311449 pipe
firefox 23114 nohlmeier   49u     unix 0xffff8807efb1b480       0t0  311452 socket
firefox 23114 nohlmeier   50u     sock                0,7       0t0  304086 protocol: UDP
firefox 23114 nohlmeier   51u     sock                0,7       0t0  304087 protocol: UDP
firefox 23114 nohlmeier   52u     sock                0,7       0t0  304088 protocol: UDP
firefox 23114 nohlmeier   53u     sock                0,7       0t0  304089 protocol: UDP
firefox 23114 nohlmeier   54u     sock                0,7       0t0  304090 protocol: UDP
firefox 23114 nohlmeier   55u     sock                0,7       0t0  304091 protocol: UDP
firefox 23114 nohlmeier   56u     sock                0,7       0t0  304092 protocol: UDP
firefox 23114 nohlmeier   57u     IPv4             313446       0t0     TCP 127.0.0.1:43459->127.0.0.1:ddi-tcp-1 (ESTABLISHED)
firefox 23114 nohlmeier   63u     sock                0,7       0t0  304101 protocol: UDP
firefox 23114 nohlmeier   64u     sock                0,7       0t0  304102 protocol: UDP
firefox 23114 nohlmeier   65u     sock                0,7       0t0  304103 protocol: UDP
firefox 23114 nohlmeier   66u     sock                0,7       0t0  304104 protocol: UDP
firefox 23114 nohlmeier   67u     sock                0,7       0t0  304105 protocol: UDP
firefox 23114 nohlmeier   68u     sock                0,7       0t0  304106 protocol: UDP
firefox 23114 nohlmeier   69u     sock                0,7       0t0  304107 protocol: UDP
Preliminary investigation indicate that these socket did not get created by NSPR.
When I take the same Linux browser to our webrtc-landing page I get this:

firefox 23251 nohlmeier   88u      REG               0,17    462848  317763 /dev/shm/org.chromium.ShuzE0 (deleted)
firefox 23251 nohlmeier   89u      REG               0,17    462848  317764 /dev/shm/org.chromium.LqPQ1y (deleted)
firefox 23251 nohlmeier   90u      REG               0,17    462848  317765 /dev/shm/org.chromium.A5zep7 (deleted)
firefox 23251 nohlmeier   91u      REG               0,17    462848  317766 /dev/shm/org.chromium.1zmWQF (deleted)
firefox 23251 nohlmeier   92u      REG               0,17    462848  317767 /dev/shm/org.chromium.qBeLie (deleted)
firefox 23251 nohlmeier   93u      REG               0,17    462848  317768 /dev/shm/org.chromium.1fxSOM (deleted)
firefox 23251 nohlmeier   94u      REG               0,17    462848  317774 /dev/shm/org.chromium.4zi6Q8 (deleted)
firefox 23251 nohlmeier   95u      REG               0,17    462848  317775 /dev/shm/org.chromium.QlKREH (deleted)
firefox 23251 nohlmeier   96u      REG               0,17    462848  317776 /dev/shm/org.chromium.dcFVwg (deleted)
firefox 23251 nohlmeier   97u      REG               0,17    462848  317777 /dev/shm/org.chromium.WCu6oP (deleted)
firefox 23251 nohlmeier   98u      REG               0,17    462848  317778 /dev/shm/org.chromium.Rekxlo (deleted)
firefox 23251 nohlmeier   99u      REG               0,17    462848  317779 /dev/shm/org.chromium.Ou23hX (deleted)
firefox 23251 nohlmeier  100u      REG               0,17    462848  317780 /dev/shm/org.chromium.cvO3iw (deleted)
firefox 23251 nohlmeier  101u      REG               0,17    462848  317781 /dev/shm/org.chromium.VCeak5 (deleted)
firefox 23251 nohlmeier  102u      REG               0,17    462848  320771 /dev/shm/org.chromium.tYWVtE (deleted)
firefox 23251 nohlmeier  103u      REG               0,17    462848  320772 /dev/shm/org.chromium.js6MDd (deleted)
firefox 23251 nohlmeier  104u      REG               0,17    462848  320773 /dev/shm/org.chromium.g35ORM (deleted)
firefox 23251 nohlmeier  105u      REG               0,17    462848  320774 /dev/shm/org.chromium.29VW5l (deleted)
firefox 23251 nohlmeier  106u      REG               0,17    462848  322671 /dev/shm/org.chromium.eAYGoV (deleted)
firefox 23251 nohlmeier  107u      REG               0,17    462848  322672 /dev/shm/org.chromium.FFJxHu (deleted)
firefox 23251 nohlmeier  108u      REG               0,17    462848  322673 /dev/shm/org.chromium.gOJj43 (deleted)
firefox 23251 nohlmeier  109u      REG               0,17    462848  322674 /dev/shm/org.chromium.P76arD (deleted)
firefox 23251 nohlmeier  110u      REG               0,17    462848  322675 /dev/shm/org.chromium.J5RlSc (deleted)
firefox 23251 nohlmeier  111u      REG               0,17    462848  322676 /dev/shm/org.chromium.7RSWnM (deleted)
firefox 23251 nohlmeier  112u      REG               0,17    462848  322677 /dev/shm/org.chromium.VboGTl (deleted)
firefox 23251 nohlmeier  121u      REG               0,17    462848  317769 /dev/shm/org.chromium.6z18kl (deleted)
firefox 23251 nohlmeier  123u      REG               0,17    462848  317770 /dev/shm/org.chromium.xey2ZT (deleted)
firefox 23251 nohlmeier  124u      REG               0,17    462848  317771 /dev/shm/org.chromium.GVY3Es (deleted)
firefox 23251 nohlmeier  126u      REG               0,17    462848  317772 /dev/shm/org.chromium.oWkak1 (deleted)
firefox 23251 nohlmeier  134u      REG               0,17    462848  322661 /dev/shm/org.chromium.hzQoKr (deleted)
firefox 23251 nohlmeier  135u      REG               0,17    462848  322662 /dev/shm/org.chromium.6Uys8Y (deleted)
firefox 23251 nohlmeier  136u      REG               0,17    462848  322663 /dev/shm/org.chromium.E7xLAw (deleted)
firefox 23251 nohlmeier  137u      REG               0,17    462848  322664 /dev/shm/org.chromium.Hg3c33 (deleted)
nohlmeier@localhost:~$ lsof -np 23251 | wc -l
331
nohlmeier@localhost:~$ lsof -np 23251 | wc -l
275
nohlmeier@localhost:~$ lsof -np 23251 | wc -l
315
nohlmeier@localhost:~$ lsof -np 23251 | wc -l
290
nohlmeier@localhost:~$ lsof -np 23251 | wc -l
314
@drno ipc uses named fifos with "chromium" in them, don't know about the others.

@ryanvm if it is hurting you that badly, we can disable. Did you want to handle that patch? (I'm not going to get a chance until later in the day)
Flags: needinfo?(docfaraday)
Disabled on Linux debug e10s.
https://hg.mozilla.org/integration/fx-team/rev/31bdffffa057
Whiteboard: [test disabled on Linux debug e10s][leave open]
status-firefox40: --- → unaffected
status-firefox41: --- → unaffected
status-firefox42: --- → disabled
status-firefox-esr31: --- → unaffected
status-firefox-esr38: --- → unaffected
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
(In reply to Treeherder Robot from comment #192)

So disabling the one test appears to have just moved the failures to another one. Time to disable harder.
https://hg.mozilla.org/integration/fx-team/rev/c17670a817fc
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
(In reply to Byron Campen [:bwc] from comment #186)
> @drno ipc uses named fifos with "chromium" in them, don't know about the
> others.

FYI I moved the issue from comment #183 to bug 1183985
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)

Updated

3 years ago
Depends on: 1183985
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Nils -- I'm assigning this to you because I believe your other fix will allow us to reenable the test that got disabled here.  Thanks.
Assignee: nobody → drno
Looks like the re-enabled test_peerConnection tests behaved in my try run. But it looks like we generated a regression on gUM tests now?!
I'm assuming therefore this can't land. Maire any good candidate for looking into the new/old crashes in the gUM mochitest (I'm fine if should continue looking into this).
Seeing libgtk 3 in those stacks, and we just recently started using that. I guess check to see whether this works if rebased on rev df05a32cdea6?
(In reply to Byron Campen [:bwc] from comment #217)
> Seeing libgtk 3 in those stacks, and we just recently started using that. I
> guess check to see whether this works if rebased on rev df05a32cdea6?

Good idea. Lets see how that ^ goes....
So that last try looks super green.

But I'm assuming Ryan won't let me land the re-enabling of the test, because of the new gtk3 problems which have creeped up, or? :)
Flags: needinfo?(ryanvm)
If it can't pass reliably on top of tip, then being green on top of an older rev doesn't mean much. Sorry.
Flags: needinfo?(ryanvm)
^ one more try on the most recent tip. Lets see if someone fixed strange gtk3 issues for us. If not we need to file a new bug report for that problem and make it a blocker for this one.
Ups too many try syntaxes running parallel....

Here is the correct try on top on central tip: https://treeherder.mozilla.org/#/jobs?repo=try&revision=68ec96ea517c

Updated

3 years ago
Depends on: 1188707
Comment hidden (Treeherder Robot)
Realistically, nobody's going to spend the time finding a regression range on this bug at this point.
Keywords: regressionwindow-wanted
jesup is working on re-enabling e10s tests
Flags: needinfo?(rjesup)
Randell is covering this for now as part of re-enabling e10s tests that were disabled.
Assignee: drno → rjesup
e10s tests are all enabled; this is getting ~ 1 hit/month; no indication that it's caused by the same GFX issue.
Assignee: rjesup → nobody
Rank: 19 → 35
Flags: needinfo?(rjesup)
Priority: P1 → P3
Whiteboard: [test disabled on Linux debug e10s][leave open]
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* try: 6

Platform breakdown:
* linux64: 5
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1180000&startday=2016-10-03&endday=2016-10-09&tree=all
Mass change P3->P4 to align with new Mozilla triage process.
Priority: P3 → P4
1 failures in 849 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* windows10-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1180000&startday=2017-11-06&endday=2017-11-12&tree=all
1 failures in 792 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1180000&startday=2017-11-27&endday=2017-12-03&tree=all
13 failures in 889 pushes (0.015 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 5
* mozilla-inbound: 4
* mozilla-central: 3
* try: 1

Platform breakdown:
* linux64: 5
* linux64-stylo-disabled: 4
* linux32-stylo-disabled: 2
* linux64-qr: 1
* android-7-1-armv8-api16: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1180000&startday=2017-12-04&endday=2017-12-10&tree=all
1 failures in 590 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 1

Platform breakdown:
* linux64-qr: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1180000&startday=2017-12-18&endday=2017-12-24&tree=all
2 failures in 462 pushes (0.004 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 2

Platform breakdown:
* osx-10-10: 1
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1180000&startday=2018-01-01&endday=2018-01-07&tree=all
4 failures in 788 pushes (0.005 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 3
* autoland: 1

Platform breakdown:
* linux64-qr: 2
* linux64: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1180000&startday=2018-01-08&endday=2018-01-14&tree=all
2 failures in 657 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 2

Platform breakdown:
* linux64-qr: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1180000&startday=2018-01-15&endday=2018-01-21&tree=all
1 failures in 701 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1180000&startday=2018-01-22&endday=2018-01-28&tree=all
1 failures in 702 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-beta: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1180000&startday=2018-02-05&endday=2018-02-11&tree=all
You need to log in before you can comment on or make changes to this bug.